# GLM: glm::gtx::vector_query Namespace Reference

# glm::gtx::vector_query Namespace Reference

GLM_GTX_vector_query extension: Query informations of vector types. More...

## Functions

template<typename genType >
bool | areCollinear (const genType &v0, const genType &v1, const GLMvalType epsilon=std::numeric_limits< GLMvalType >::epsilon())
| Check if two vectors are collinears.
template<typename genType >
bool | areOpposite (const genType &v0, const genType &v1, const GLMvalType epsilon=std::numeric_limits< GLMvalType >::epsilon())
| Check if two vectors are opposites.
template<typename genType >
bool | areOrthogonal (const genType &v0, const genType &v1, const GLMvalType epsilon=std::numeric_limits< GLMvalType >::epsilon())
| Check if two vectors are orthogonals.
template<typename genType >
bool | areOrthonormal (const genType &v0, const genType &v1, const GLMvalType epsilon=std::numeric_limits< GLMvalType >::epsilon())
| Check if two vectors are orthonormal.
template<typename genType >
bool | areSimilar (const genType &v0, const genType &v1, const GLMvalType epsilon=std::numeric_limits< GLMvalType >::epsilon())
| Check if two vectors are similar.
template<typename genType >
bool | isNormalized (const genType &v, const GLMvalType epsilon=std::numeric_limits< GLMvalType >::epsilon())
| Check if a vector is normalized.
template<typename genType >
bool | isNull (const genType &v, const GLMvalType epsilon=std::numeric_limits< GLMvalType >::epsilon())
| Check if a vector is null.

## Detailed Description

GLM_GTX_vector_query extension: Query informations of vector types.

## Function Documentation

bool glm::gtx::vector_query::areCollinear | ( | const genType & | v0,
|  | const genType & | v1,
|  | const GLMvalType | epsilon = `std::numeric_limits< GLMvalType >::epsilon()` |
| ) |  |  |

Check if two vectors are collinears.

From GLM_GTX_vector_query extensions.

bool glm::gtx::vector_query::areOpposite | ( | const genType & | v0,
|  | const genType & | v1,
|  | const GLMvalType | epsilon = `std::numeric_limits< GLMvalType >::epsilon()` |
| ) |  |  |

Check if two vectors are opposites.

From GLM_GTX_vector_query extensions.

bool glm::gtx::vector_query::areOrthogonal | ( | const genType & | v0,
|  | const genType & | v1,
|  | const GLMvalType | epsilon = `std::numeric_limits< GLMvalType >::epsilon()` |
| ) |  |  |

Check if two vectors are orthogonals.

From GLM_GTX_vector_query extensions.

bool glm::gtx::vector_query::areOrthonormal | ( | const genType & | v0,
|  | const genType & | v1,
|  | const GLMvalType | epsilon = `std::numeric_limits< GLMvalType >::epsilon()` |
| ) |  |  |

Check if two vectors are orthonormal.

From GLM_GTX_vector_query extensions.

bool glm::gtx::vector_query::areSimilar | ( | const genType & | v0,
|  | const genType & | v1,
|  | const GLMvalType | epsilon = `std::numeric_limits< GLMvalType >::epsilon()` |
| ) |  |  |

Check if two vectors are similar.

From GLM_GTX_vector_query extensions.

bool glm::gtx::vector_query::isNormalized | ( | const genType & | v,
|  | const GLMvalType | epsilon = `std::numeric_limits< GLMvalType >::epsilon()` |
| ) |  |  |

Check if a vector is normalized.

From GLM_GTX_vector_query extensions.

bool glm::gtx::vector_query::isNull | ( | const genType & | v,
|  | const GLMvalType | epsilon = `std::numeric_limits< GLMvalType >::epsilon()` |
| ) |  |  |

Check if a vector is null.

From GLM_GTX_vector_query extensions.